restore, file_which('globalwinds.dat'), /verbose

data = fltarr(2, 128, 64)
data[0, *, *] = u
data[1, *, *] = v

seeds = [[32, 32], [64, 32], [96, 32]]
particle_trace, data, seeds, verts, conn, max_iterations=30

velovect, rebin(u, 64, 32), rebin(v, 64, 32), rebin(x, 64), rebin(y, 32), font=1, $
          xticks=4, xtickv=[-180, -90, 0, 90, 180], $
          yticks=4, ytickv=[-90, -45, 0, 45, 90]
          
plots, x[seeds[0, 0]], y[seeds[1, 0]], psym=7
plots, x[seeds[0, 1]], y[seeds[1, 1]], psym=7
plots, x[seeds[0, 2]], y[seeds[1, 2]], psym=7

device, get_decomposed=dec
device, decomposed=1

i = 0
sz = size(verts, /structure)
while (i lt n_elements(conn)) do begin
  nverts = conn[i]
  plots, x[verts[0, conn[i+1:i+nverts]]], $
         y[verts[1, conn[i+1:i+nverts]]], $
         color='0000FF'x, thick=2
  i += nverts + 1
endwhile

device, decomposed=dec

end          